#include "DxLib.h"
#include "cMap.h"

tto::cMap::cMap()
{
	
	gMapLayer1[ 0 ]	= LoadGraph( "data/image/map/layer1/mapImage1.png") ;
	gMapLayer1[ 1 ]	= LoadGraph( "data/image/map/layer1/mapImage2.png") ;
	gMapLayer1[ 2 ]	= LoadGraph( "data/image/map/layer1/mapImage3.png") ;
	gMapLayer1[ 3 ]	= LoadGraph( "data/image/map/layer1/mapImage4.png") ;
	gMapLayer1[ 4 ]	= LoadGraph( "data/image/map/layer1/mapImage5.png") ;
	gMapLayer1[ 5 ]	= LoadGraph( "data/image/map/layer1/mapImage6.png") ;
	gMapLayer1[ 6 ]	= LoadGraph( "data/image/map/layer1/mapImage7.png") ;
	gMapLayer1[ 7 ]	= LoadGraph( "data/image/map/layer1/mapImage8.png") ;
	gMapLayer1[ 8 ]	= LoadGraph( "data/image/map/layer1/mapImage9.png") ;

	gMapLayer2[ 0 ]	= LoadGraph( "data/image/map/layer2/mapImage1.png") ;
	gMapLayer2[ 1 ]	= LoadGraph( "data/image/map/layer2/mapImage2.png") ;
	gMapLayer2[ 2 ]	= LoadGraph( "data/image/map/layer2/mapImage3.png") ;
	gMapLayer2[ 3 ]	= LoadGraph( "data/image/map/layer2/mapImage4.png") ;
	gMapLayer2[ 4 ]	= LoadGraph( "data/image/map/layer2/mapImage5.png") ;
	gMapLayer2[ 5 ]	= LoadGraph( "data/image/map/layer2/mapImage6.png") ;
	gMapLayer2[ 6 ]	= LoadGraph( "data/image/map/layer2/mapImage7.png") ;
	gMapLayer2[ 7 ]	= LoadGraph( "data/image/map/layer2/mapImage8.png") ;
	gMapLayer2[ 8 ]	= LoadGraph( "data/image/map/layer2/mapImage9.png") ;

	ix = 0;
	iy = 0;
	i = 0;
	iSetX = 0;
	iSetY = 0;
	iSetT = 0;
	iSetL = 0;
	iGr = 0;
	iNum = 0;
}


void tto::cMap::fSave()
{
	
}

void tto::cMap::fLoad()
{
	// t@Cw肵At@CI[viG[o狭Ij
	pCopy = fopen("data/save/map0.ini", "rb");			if ( !pCopy ) { exit(1); }
	pPaste = fopen("data/admin/map/map0.ini", "wb");	if ( !pPaste ) { exit(1); }
	while(!feof(pCopy)){
		ch = fgetc(pCopy);
		if(ferror(pCopy)){ exit(1); }
		if(!feof(pCopy)){ fputc(ch, pPaste); }
		if(ferror(pPaste)){ exit(1); }
	}
	// t@CN[Y
	if (fclose(pCopy) == EOF) { exit(1); }
	if (fclose(pPaste) == EOF) { exit(1); }

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/admin/map/map0.ini", "rb");	if ( !pFile1 ) { exit(1); }
	//}bvSX,SYǂݍ
	if ( EOF == fread(iBuffer, sizeof(int), 2, pFile1) ) { exit(1); }
	//wcǂݍ
	if ( EOF == fread(iTeam, sizeof(int), 10, pFile1) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
	iMapSX = iBuffer[0];
	iMapSY = iBuffer[1];

	//////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pCopy = fopen("data/save/map1.ini", "rb");			if ( !pCopy ) { exit(1); }
	pPaste = fopen("data/admin/map/map1.ini", "wb");	if ( !pPaste ) { exit(1); }
	while(!feof(pCopy)){
		ch = fgetc(pCopy);
		if(ferror(pCopy)){ exit(1); }
		if(!feof(pCopy)){ fputc(ch, pPaste); }
		if(ferror(pPaste)){ exit(1); }
	}

	// t@CN[Y
	if (fclose(pCopy) == EOF) { exit(1); }
	if (fclose(pPaste) == EOF) { exit(1); }

	//////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pCopy = fopen("data/save/map2.ini", "rb");			if ( !pCopy ) { exit(1); }
	pPaste = fopen("data/admin/map/map2.ini", "wb");	if ( !pPaste ) { exit(1); }
	while(!feof(pCopy)){
		ch = fgetc(pCopy);
		if(ferror(pCopy)){ exit(1); }
		if(!feof(pCopy)){ fputc(ch, pPaste); }
		if(ferror(pPaste)){ exit(1); }
	}
	// t@CN[Y
	if (fclose(pCopy) == EOF) { exit(1); }
	if (fclose(pPaste) == EOF) { exit(1); }

}

void tto::cMap::fMapInput1()
{
	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/admin/map/map1.ini", "rb"); if (!pFile1) exit(1);
	for(iy=0; iy<24; iy++){
		//ǂݍ݊JnWݒ(sizeof(int) = 4)
		iCoordinate = iMapMX+(iMapMY+iy)*iMapSX;
		fseek(pFile1,sizeof(int)*iCoordinate,SEEK_SET);

		// }bv`bvԍf[^32ǂݍށiG[o狭Ij
		if ( EOF == fread(iMapBuffer, sizeof(int), 32, pFile1) ) { exit(1); }

		for(ix=0; ix<32; ix++){
			iGr = 0;
			
			iNum = iMapBuffer[ix];
			for(i=0; i<9; i++){
				if (iNum >= 1000) { iNum -= 1000; iGr++;}
			}
			iSetX = 32*ix;
			iSetY = 32*iy;
			iSetL = iNum%20*32;
			iSetT = iNum/20*32;
			DrawRectGraph(iSetX , iSetY, iSetL, iSetT, 32, 32, gMapLayer1[iGr], TRUE, FALSE );
		}

	}
	// t@CN[Y
	fclose(pFile1);
}

void tto::cMap::fMapInput2()
{
	
	// t@Cw肵At@CI[viG[o狭Ij
	pFile2 = fopen("data/admin/map/map2.ini", "rb"); if (!pFile2) exit(1);
	for(iy=0; iy<24; iy++){
		//ǂݍ݊JnWݒ(sizeof(int) = 4)
		iCoordinate = iMapMX+(iMapMY+iy)*iMapSX;
		fseek(pFile2,sizeof(int)*iCoordinate,SEEK_SET);

		// }bv`bvԍf[^32ǂݍށiG[o狭Ij
		if ( EOF == fread(iMapBuffer, sizeof(int), 32, pFile2) ) { exit(1); }

		for(ix=0; ix<32; ix++){
			iGr = 0;
			
			iNum = iMapBuffer[ix];
			for(i=0; i<9; i++){
				if (iNum >= 1000) { iNum -= 1000; iGr++;}
			}
			iSetX = 32*ix;
			iSetY = 32*iy;
			iSetL = iNum%20*32;
			iSetT = iNum/20*32;
			DrawRectGraph(iSetX , iSetY, iSetL, iSetT, 32, 32, gMapLayer2[iGr], TRUE, FALSE );
		}

	}
	// t@CN[Y
	fclose(pFile2);
}