#include "cData.h"
#include "DxLib.h"

#define MAP_MS_X		200 
#define MAP_MS_Y		200
#define MAP_BS			40000	//	MAP_MS_X * MAP_MS_Y

#define BUILDING_BS		600		//	100*6(0wc.1.2.3.4E.5)

#define UNIT_BS			33000	//	(Z300+m3000) * vC[10

tto::cData::cData()
{
	endFlag = 0;

	iLayer=0;
	//iMap1
	for(i=0; i<MAP_BS; i++){ iMap1[i] = 0; }
	//iMap2
	for(i=0; i<MAP_BS; i++){ iMap2[i] = 0; }
	//iBuilding
	for(i=0; i<BUILDING_BS; i++){ iBuilding[i] = 0; }
	//
	for(i=0; i<3000; i++)	{ iGBuffer[i] = -1; }
	for(i=0; i<30000; i++)	{ iSBuffer[i] = -1; }

	iMapSX = 32;
	iMapSY = 24;
	iL = 0;//iBuffer2gpt@Co͂̌JԂ񐔂iL
	iB = 0;//iBuffer2̔ԍiB

	//jbgzuf[^݂̏܂͓ǂݍ݂̂߂̃f[^Ɏgpϐ̏
	iPN = 0, iGN = 0, iSN = 0;

	for(ix=0; ix<10; ix++){
		for(iy=0; iy<100; iy++){
			iGHM[ix][iy] = 0;
			iSHM[ix][iy] = 0;
		}
	}
	for(i=0; i<10; i++){
		iGS[i] = 0;
		iSS[i] = 0;
		iTeam[i] = 2;
	}
}

void tto::cData::fSave()
{
	iBuffer[0] = iMapSX;
	iBuffer[1] = iMapSY;

	for(i=0; i<3000; i++)	{ iGBuffer[i] = -1; }
	for(i=0; i<30000; i++)	{ iSBuffer[i] = -1; }

	//iGBuffer[0`2999]Ɋev[[0`9̏Z̃f[^0`300
	//iSBuffer[0`29999]Ɋev[[0`9̕m̃f[^0`3000
	for(ix=0; ix<10; ix++){
		iCountG = 0;
		iCountS = 0;
		for(iy=0; iy<100; iy++){
			for(iz=0; iz<iGHM[ix][iy]; iz++){
				iGBuffer[ix*300+iCountG] = iy;
				iCountG++;
			}
			for(iz=0; iz<iSHM[ix][iy]; iz++){
				iSBuffer[ix*3000+iCountS] = iy;
				iCountS++;
			}
		}
	}
	
	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/map1.ini", "wb"); if (!pFile1) { exit(1); }
	pFile2 = fopen("data/save/map2.ini", "wb"); if (!pFile2) { exit(1); }
	// }bv`bvԍf[^40000ށiG[o狭Ij
	if ( EOF == fwrite(iMap1, sizeof(int), MAP_BS, pFile1) ) { exit(1); }
	if ( EOF == fwrite(iMap2, sizeof(int), MAP_BS, pFile2) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);

///////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/gUnit.ini", "wb"); if ( !pFile1 ) { exit(1); }
	pFile2 = fopen("data/save/sUnit.ini", "wb"); if ( !pFile2 ) { exit(1); }
	// jbgzuf[^3000ށiG[o狭Ij
	if ( EOF == fwrite(iGBuffer, sizeof(int), 3000, pFile1) ) { exit(1); }
	// jbgzuf[^30000ށiG[o狭Ij
	if ( EOF == fwrite(iSBuffer, sizeof(int), 30000, pFile2) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);

///////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/gSum.ini", "wb"); if ( !pFile1 ) { exit(1); }
	pFile2 = fopen("data/save/sSum.ini", "wb"); if ( !pFile2 ) { exit(1); }
	// WFlv10ށiG[o狭Ij
	if ( EOF == fwrite(iGS, sizeof(int), 10, pFile1) ) { exit(1); }
	// \W[v10ށiG[o狭Ij
	if ( EOF == fwrite(iSS, sizeof(int), 10, pFile2) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);

///////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/map0.ini", "wb"); if (!pFile1) { exit(1); }
	// }bvXTCYAYTCYށiG[o狭Ij
	if ( EOF == fwrite(iBuffer, sizeof(int), 2, pFile1) ) { exit(1); }
	// Playerwcv10ށiG[o狭Ij
	if ( EOF == fwrite(iTeam, sizeof(int), 10, pFile1) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);

/////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/building.ini", "wb"); if (!pFile1) { exit(1); }
	// {݃f[^600ށiG[o狭Ij
	if ( EOF == fwrite(iBuilding, sizeof(int), BUILDING_BS, pFile1) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
}

void tto::cData::fLoad()
{
	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/gUnit.ini", "rb"); if ( !pFile1 ) { exit(1); }
	pFile2 = fopen("data/save/sUnit.ini", "rb"); if ( !pFile2 ) { exit(1); }
	// jbgzuf[^3000ǂݍށiG[o狭Ij
	if ( EOF == fread(iGBuffer, sizeof(int), 3000, pFile1) ) { exit(1); }
	// jbgzuf[^30000ǂݍށiG[o狭Ij
	if ( EOF == fread(iSBuffer, sizeof(int), 30000, pFile2) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);

///////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/gSum.ini", "rb"); if ( !pFile1 ) { exit(1); }
	pFile2 = fopen("data/save/sSum.ini", "rb"); if ( !pFile2 ) { exit(1); }
	// WFlv10ǂݍށiG[o狭Ij
	if ( EOF == fread(iGS, sizeof(int), 10, pFile1) ) { exit(1); }
	// \W[v10ǂݍށiG[o狭Ij
	if ( EOF == fread(iSS, sizeof(int), 10, pFile2) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);

///////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/map1.ini", "rb"); if (!pFile1) { exit(1); }
	pFile2 = fopen("data/save/map2.ini", "rb"); if (!pFile2) { exit(1); }
	// }bv`bvԍf[^40000ǂݍށiG[o狭Ij
	if ( EOF == fread(iMap1, sizeof(int), MAP_BS, pFile1) ) { exit(1); }
	if ( EOF == fread(iMap2, sizeof(int), MAP_BS, pFile2) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);

/////////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/map0.ini", "rb"); if (!pFile1) { exit(1); }

	// }bvXTCYAYTCYǂݍށiG[o狭Ij
	if ( EOF == fread(iBuffer, sizeof(int), 2, pFile1) ) { exit(1); }

	// Playerwc10ǂݍށiG[o狭Ij
	if ( EOF == fread(iTeam, sizeof(int), 10, pFile1) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);

////////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/building.ini", "rb"); if (!pFile1) { exit(1); }
	// {݃f[^600ǂݍށiG[o狭Ij
	if ( EOF == fread(iBuilding, sizeof(int), BUILDING_BS, pFile1) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);


	iMapSX = iBuffer[0] ;
	iMapSY = iBuffer[1] ;

	//jbgzuf[^݂̏܂͓ǂݍ݂̂߂̃f[^Ɏgpϐ̏
	iPN = 0, iGN = 0, iSN = 0;

	for(ix=0; ix<10; ix++){
		for(iy=0; iy<100; iy++){
			iGHM[ix][iy] = 0;
			iSHM[ix][iy] = 0;
		}
	}

	//iGBuffer[0`2999]Ɋev[[0`9̏Z̃f[^0`300
	//iSBuffer[0`29999]Ɋev[[0`9̕m̃f[^0`3000
	for(ix=0; ix<10; ix++){
		for(iy=0; iy<300; iy++){
			if (iGBuffer[ix*300+iy] != -1){
				iGHM[ix][iGBuffer[ix*300+iy]]++ ;
			}
		}
		for(iy=0; iy<3000; iy++){
			if (iSBuffer[ix*3000+iy] != -1){
				iSHM[ix][iSBuffer[ix*3000+iy]]++ ;
			}
		}
	}
}