#include "DxLib.h"
#include "cDraw.h"

tto::cDraw::cDraw()
{
	Cr = GetColor( 255 , 255 , 255 ) ;//F
	gSelect = LoadGraph("data/image/system/select.png") ;
	LoadDivGraph( "data/image/system/button1.png" , 6 , 2 , 3 , 64 , 32 , gButton1 ) ;
	LoadDivGraph( "data/image/system/button2.png" , 4 , 2 , 2 , 16 , 16 , gButton2 ) ;
	gGeneral[0][0] = LoadGraph("data/image/general/general1-1.png");
	gGeneral[0][1] = LoadGraph("data/image/general/general1-2.png");
	gGeneral[0][2] = LoadGraph("data/image/general/general1-3.png");
	gGeneral[1][0] = LoadGraph("data/image/general/general2-1.png");
	gGeneral[1][1] = LoadGraph("data/image/general/general2-2.png");
	gGeneral[1][2] = LoadGraph("data/image/general/general2-3.png");

	gSoldier[0][0] = LoadGraph("data/image/soldier/soldier1-1.png") ;
	gSoldier[0][1] = LoadGraph("data/image/soldier/soldier1-2.png") ;
	gSoldier[1][0] = LoadGraph("data/image/soldier/soldier2-1.png") ;
	gSoldier[1][1] = LoadGraph("data/image/soldier/soldier2-2.png") ;
}
void tto::cDraw::fDraw()
{
	//WFlꗗ\
	DrawGraph(24 , 56+iSelectGeneral*32, gSelect , TRUE ) ;
	DrawFormatString(32,32	, Cr, "General") ;

	for(iNumber=0; iNumber<10; iNumber++){
		//io[уLOtBbN\
		i1 = iNation;
		i2 = iGeneralStatus[iNation][iNumber+iNumAddGeneral][0];
		setX = 32;
		setY = 64+iNumber*32;
		DrawFormatString(setX	, setY	, Cr, "No.%d",iNumber+iNumAddGeneral+1) ;
		setX = 700;
		DrawRectGraph(setX , setY, 0, 0, 16, 16, gGeneral[i1][i2], TRUE, FALSE ) ;

		//SXe[^X\
		for(iStatus=0; iStatus < 9; iStatus++){
			i1 = iNation;
			i2 = iNumber+iNumAddGeneral;
			i3 = iStatus;
			setX = 128+64*iStatus;
			if (iGeneralStatus[i1][i2][i3] > 9) setX-=8;
			if (iGeneralStatus[i1][i2][i3] > 99) setX-=8;
			if (iGeneralStatus[i1][i2][i3] > 999) setX-=8;
			if (iGeneralStatus[i1][i2][i3] > 9999) setX-=8;
			setY = 64+iNumber*32;
			DrawFormatString(setX, setY, Cr, "%d",iGeneralStatus[i1][i2][i3]) ;
		}
	}
	//\W[ꗗ\
	DrawGraph(24 , 504+iSelectSoldier*32 , gSelect  , TRUE ) ;
	DrawFormatString(32,480	, Cr, "Soldier") ;
	for(iNumber=0; iNumber<5; iNumber++){
		//io[уLOtBbN\
		i1 = iNation;
		i2 = iSoldierStatus[iNation][iNumber+iNumAddSoldier][0];
		setX = 32;	
		setY = 512+iNumber*32;	
		DrawFormatString(setX	, setY	, Cr, "No.%d",iNumber+iNumAddSoldier+1) ;
		setX = 700;
		DrawRectGraph(setX , setY, 0, 0, 16, 16, gSoldier[i1][i2], TRUE, FALSE ) ;
		//SXe[^X\
		for(iStatus=0; iStatus < 9; iStatus++){
			i1 = iNation;
			i2 = iNumber+iNumAddSoldier;
			i3 = iStatus;
			setX = 128+64*iStatus;
			if (iSoldierStatus[i1][i2][i3] > 9) setX-=8;
			if (iSoldierStatus[i1][i2][i3] > 99) setX-=8;
			if (iSoldierStatus[i1][i2][i3] > 999) setX-=8;
			if (iSoldierStatus[i1][i2][i3] > 9999) setX-=8;
			setY = 512+iNumber*32;
			DrawFormatString(setX, 	setY, Cr, "%d",iSoldierStatus[i1][i2][i3]) ;
		}
	}
	for(i=0; i<2; i++){
		setY = 416+i*288;
		DrawFormatString(40+64*0, setY, Cr, "Number") ;
		DrawFormatString(60+64*1, setY, Cr, "GR") ;
		DrawFormatString(60+64*2, setY, Cr, "LV") ;
		DrawFormatString(60+64*3, setY, Cr, "HP") ;
		DrawFormatString(60+64*4, setY, Cr, "SP") ;
		DrawFormatString(60+64*5, setY, Cr, "OF") ;
		DrawFormatString(60+64*6, setY, Cr, "DF") ;
		DrawFormatString(60+64*7, setY, Cr, "UT") ;
		DrawFormatString(60+64*8, setY, Cr, "WR") ;
		DrawFormatString(60+64*9, setY, Cr, "WT") ;
	}
	//Xe[^X̖ڈƂȂ镶̏㉺ɖ{^\
	for(i=0; i<10; i++){
		DrawGraph(60+i*64, 400-8	, gButton2[0+push[i]	]	, TRUE ) ;
		DrawGraph(60+i*64, 400+40	, gButton2[2+push[i+10]]	, TRUE ) ;
		DrawGraph(60+i*64, 704-24	, gButton2[0+push[i+20]]	, TRUE ) ;
		DrawGraph(60+i*64, 704+24	, gButton2[2+push[i+30]]	, TRUE ) ;
	}
	//Eɕ\镶A{^摜\
	DrawFormatString(800	, 64	, Cr, "National") ;
	DrawFormatString(928	, 64	, Cr, "%d",iNation) ;
	DrawFormatString(800	, 128	, Cr, "SAVE") ;
	DrawFormatString(800	, 160	, Cr, "LOAD") ;
	DrawFormatString(800	, 192	, Cr, "END") ;
	DrawGraph(924, 40	, gButton2[ 0+push[40] ]  , TRUE ) ;
	DrawGraph(924, 88	, gButton2[ 2+push[41] ]  , TRUE ) ;
	DrawGraph(900, 120	, gButton1[ 0+push[42] ]  , TRUE ) ;
	DrawGraph(900, 152	, gButton1[ 2+push[43] ]  , TRUE ) ;
	DrawGraph(900, 184	, gButton1[ 4+push[44] ]  , TRUE ) ;
}