#include "DxLib.h"
#include "cUnit.h"



tto::cUnit::cUnit()
{
	Cr = GetColor( 25 , 25 , 25 ) ;
	gGeneral[0][0] = LoadGraph("data/image/general/general1-1.png");
	gGeneral[0][1] = LoadGraph("data/image/general/general1-2.png");
	gGeneral[0][2] = LoadGraph("data/image/general/general1-3.png");
	gGeneral[1][0] = LoadGraph("data/image/general/general2-1.png");
	gGeneral[1][1] = LoadGraph("data/image/general/general2-2.png");
	gGeneral[1][2] = LoadGraph("data/image/general/general2-3.png");

	gSoldier[0][0] = LoadGraph("data/image/soldier/soldier1-1.png") ;
	gSoldier[0][1] = LoadGraph("data/image/soldier/soldier1-2.png") ;
	gSoldier[1][0] = LoadGraph("data/image/soldier/soldier2-1.png") ;
	gSoldier[1][1] = LoadGraph("data/image/soldier/soldier2-2.png") ;
}


void tto::cUnit::fUnitSetUp()
{//12x(5+8)*10=130*12=260*6=1560
	for(i=0; i<1560; i++) iUnitBuffer1[i] = -1;
	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/admin/platoon/platoon.ini", "wb");	if(!pFile1) exit(1);
	// ށiG[o狭Ij
	if ( EOF == fwrite(iUnitBuffer1, sizeof(int), 1560, pFile1) ) exit(1);
	// t@CN[Y
	fclose(pFile1);

	for(i=0; i<3000; i++) iUnitBuffer1[i] = 0;
	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/admin/unit/gSarry.ini", "wb");	if(!pFile1){ exit(1); }
	pFile2 = fopen("data/admin/unit/gX.ini", "wb");		if(!pFile1){ exit(1); }
	pFile3 = fopen("data/admin/unit/gY.ini", "wb");		if(!pFile1){ exit(1); }
	// ށiG[o狭Ij
	if ( EOF == fwrite(iUnitBuffer1, sizeof(int), 3000, pFile1) ) { exit(1); }
	if ( EOF == fwrite(iUnitBuffer1, sizeof(int), 3000, pFile2) ) { exit(1); }
	if ( EOF == fwrite(iUnitBuffer1, sizeof(int), 3000, pFile3) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);
	fclose(pFile3);

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/admin/unit/sSarry.ini", "wb");	if(!pFile1){ exit(1); }
	pFile2 = fopen("data/admin/unit/sX.ini", "wb");		if(!pFile1){ exit(1); }
	pFile3 = fopen("data/admin/unit/sY.ini", "wb");		if(!pFile1){ exit(1); }
	// ށiG[o狭I)
	for(i=0; i<10; i++){
		if ( EOF == fwrite(iUnitBuffer1, sizeof(int), 3000, pFile1) ) { exit(1); }
		if ( EOF == fwrite(iUnitBuffer1, sizeof(int), 3000, pFile2) ) { exit(1); }
		if ( EOF == fwrite(iUnitBuffer1, sizeof(int), 3000, pFile3) ) { exit(1); }
	}
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);
	fclose(pFile3);

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/gSum.ini", "rb");			if(!pFile1){ exit(1); }
	pFile2 = fopen("data/save/sSum.ini", "rb");			if(!pFile2){ exit(1); }
	if ( EOF == fread(iGS, sizeof(int), 10, pFile1) ) { exit(1); }
	if ( EOF == fread(iSS, sizeof(int), 10, pFile2) ) { exit(1); }
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);


	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/save/uPara.ini", "rb");	if(!pFile1) exit(1); 
	pFile2 = fopen("data/save/gUnit.ini", "rb");		if(!pFile2){ exit(1); }
	pFile3 = fopen("data/save/sUnit.ini", "rb");		if(!pFile3){ exit(1); }
	pFile4 = fopen("data/admin/unit/gP.ini", "wb");		if(!pFile4){ exit(1); }
	pFile5 = fopen("data/admin/unit/sP.ini", "wb");		if(!pFile5){ exit(1); }
	for(iStatus=0; iStatus<9; iStatus++){
		for(iPN=0; iPN<10; iPN++){//0 or 1
			if(iTeam[iPN] != 2){//0-1799
				//GrHPPramater(iStatus)100iUnitBuffer1ɓǂݍ(G)
				fseek(pFile1,sizeof(int)*(iTeam[iPN]*100+200*iStatus),SEEK_SET);
				if ( EOF == fread(iUnitBuffer1, sizeof(int), 100, pFile1) ) { exit(1); }
				//GrHPPramater(iStatus)100iUnitBuffer2ɓǂݍ(S)
				fseek(pFile1,sizeof(int)*(iTeam[iPN]*100+200*iStatus+1800),SEEK_SET);
				if ( EOF == fread(iUnitBuffer2, sizeof(int), 100, pFile1) ) { exit(1); }

				//jbgԍ300iUnitBuffer3ɓǂݍ
				fseek(pFile2,sizeof(int)*(300*iPN),SEEK_SET);
				if ( EOF == fread(iUnitBuffer3, sizeof(int), 300, pFile2) ) { exit(1); }
				//jbgԍ3000iUnitBuffer4ɓǂݍ
				fseek(pFile3,sizeof(int)*(3000*iPN),SEEK_SET);
				if ( EOF == fread(iUnitBuffer4, sizeof(int), 3000, pFile3) ) { exit(1); }

				for(i=0; i<iGS[iPN]; i++)	iUnitBuffer5[i] = iUnitBuffer1[ iUnitBuffer3[i] ];
				for(i=iGS[iPN]; i<300; i++)			iUnitBuffer5[i] = -1;

				for(i=0; i<iSS[iPN]; i++)	iUnitBuffer6[i] = iUnitBuffer2[ iUnitBuffer4[i] ];
				for(i=iSS[iPN]; i<3000; i++)			iUnitBuffer6[i] = -1;
			}
			if(iTeam[iPN] == 2){
				for(i=0; i<300; i++)	iUnitBuffer5[i] = -1;
				for(i=0; i<3000; i++)	iUnitBuffer6[i] = -1;
			}
			// ށiG[o狭Ij
			if ( EOF == fwrite(iUnitBuffer5, sizeof(int), 300, pFile4) ) { exit(1); }
			// ށiG[o狭Ij
			if ( EOF == fwrite(iUnitBuffer6, sizeof(int), 3000, pFile5) ) { exit(1); }
		}
	}
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);
	fclose(pFile3);
	fclose(pFile4);
	fclose(pFile5);

	// t@Cw肵At@CI[viG[o狭Ij
	pCopy =  fopen("data/admin/unit/gP.ini", "rb");	if ( !pCopy ) { exit(1); }
	pPaste = fopen("data/admin/unit/gM.ini", "wb");	if ( !pPaste ) { exit(1); }
	while(!feof(pCopy)){
		ch = fgetc(pCopy);
		if(ferror(pCopy)){ exit(1); }
		if(!feof(pCopy)){ fputc(ch, pPaste); }
		if(ferror(pPaste)){ exit(1); }
	}
	// t@CN[Y
	if (fclose(pCopy) == EOF) { exit(1); }
	if (fclose(pPaste) == EOF) { exit(1); }


	// t@Cw肵At@CI[viG[o狭Ij
	pCopy =  fopen("data/admin/unit/sP.ini", "rb");	if ( !pCopy ) { exit(1); }
	pPaste = fopen("data/admin/unit/sM.ini", "wb");	if ( !pPaste ) { exit(1); }
	while(!feof(pCopy)){
		ch = fgetc(pCopy);
		if(ferror(pCopy)){ exit(1); }
		if(!feof(pCopy)){ fputc(ch, pPaste); }
		if(ferror(pPaste)){ exit(1); }
	}
	// t@CN[Y
	if (fclose(pCopy) == EOF) { exit(1); }
	if (fclose(pPaste) == EOF) { exit(1); }
}

void tto::cUnit::fUnitInput()
{
	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/admin/unit/gSarry.ini", "rb")	; if(!pFile1) { exit(1); }
	pFile2 = fopen("data/admin/unit/gX.ini", "rb")		; if(!pFile2) { exit(1); }
	pFile3 = fopen("data/admin/unit/gY.ini", "rb")		; if(!pFile3) { exit(1); }
	pFile4 = fopen("data/admin/unit/gP.ini", "rb")		; if(!pFile4) { exit(1); }
	// ǂݍށiG[o狭Ij
	if ( EOF == fread(iUnitBuffer1, sizeof(int), 3000, pFile1) ) { exit(1); }
	if ( EOF == fread(iUnitBuffer2, sizeof(int), 3000, pFile2) ) { exit(1); }
	if ( EOF == fread(iUnitBuffer3, sizeof(int), 3000, pFile3) ) { exit(1); }
	if ( EOF == fread(iUnitBuffer4, sizeof(int), 3000, pFile4) ) { exit(1); }
	for(i=0; i<3000; i++){
		if(iUnitBuffer1[i] == 1) {
			iSetX = iUnitBuffer2[i];
			iSetY = iUnitBuffer3[i];
			iSetL = 0;
			iSetT = 0;
			iGr   = iUnitBuffer4[i];
			DrawRectGraph(iSetX, iSetY, iSetL, iSetT, 16, 16, gGeneral[0][iGr], TRUE,FALSE );
		}
	}
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);
	fclose(pFile3);
	fclose(pFile4);

/////////////////////////////////////////////////////////////////////////////////////

	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/admin/unit/sSarry.ini", "rb")	; if(!pFile1) { exit(1); }
	pFile2 = fopen("data/admin/unit/sX.ini", "rb")		; if(!pFile2) { exit(1); }
	pFile3 = fopen("data/admin/unit/sY.ini", "rb")		; if(!pFile3) { exit(1); }
	pFile4 = fopen("data/admin/unit/sP.ini", "rb");		if(!pFile4){ exit(1); }

	for(iNum=0; iNum<10; iNum++){
		// ǂݍށiG[o狭Ij
		if ( EOF == fread(iUnitBuffer1, sizeof(int), 3000, pFile1) ) { exit(1); }
		if ( EOF == fread(iUnitBuffer2, sizeof(int), 3000, pFile2) ) { exit(1); }
		if ( EOF == fread(iUnitBuffer3, sizeof(int), 3000, pFile3) ) { exit(1); }
		if ( EOF == fread(iUnitBuffer4, sizeof(int), 3000, pFile4) ) { exit(1); }
		for(i=0; i<3000; i++){
			if(iUnitBuffer1[i] == 1) {
				iSetX = iUnitBuffer2[i];
				iSetY = iUnitBuffer3[i];
				iSetL = 0;
				iSetT = 0;
				iGr   = iUnitBuffer4[i];
				DrawRectGraph(iSetX,iSetY,iSetL,iSetT, 16, 16, gGeneral[0][iGr],TRUE,FALSE );
			}
		}
	}
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);
	fclose(pFile3);
	fclose(pFile4);

}

void tto::cUnit::fUnitSystem()
{
	// t@Cw肵At@CI[viG[o狭Ij
	pFile1 = fopen("data/admin/unit/gP.ini", "rb"); if(!pFile1) exit(1);
	pFile2 = fopen("data/admin/unit/gM.ini", "rb"); if(!pFile2) exit(1);
	// ǂݍށiG[o狭Ij;
	if ( EOF == fread(iUnitBuffer1, sizeof(int), 3000, pFile1) ) exit(1);//Gr
	if ( EOF == fread(iUnitBuffer2, sizeof(int), 3000, pFile1) ) exit(1);//Lv
	if ( EOF == fread(iUnitBuffer3, sizeof(int), 3000, pFile1) ) exit(1);//NowHp

	fseek(pFile2,sizeof(int)*3000*2,SEEK_SET);
	if ( EOF == fread(iUnitBuffer4, sizeof(int), 3000, pFile2) ) exit(1);//MaxHp

	if ( EOF == fread(iUnitBuffer5, sizeof(int), 3000, pFile1) ) exit(1);//Sp
	fseek(pFile1,sizeof(int)*3000*6,SEEK_SET);
	if ( EOF == fread(iUnitBuffer6, sizeof(int), 3000, pFile1) ) exit(1);//Ut
	

	for(i=0; i<12; i++){	
		iNum = i+iScrollVertical;
		iSetX	= 80*4+50;
		if (iNum+1 > 9) iSetX-=8;
		iSetY	= 96+32*i;
		DrawFormatString(iSetX, iSetY, Cr, "%d",iNum+1);
		if(iNum < iGS[iMyPN]){

			iSetL = iSetT = 0;
			iSetX	= 80*5+50-16;
			iSetY	= 96+32*i-4;
			iGr = iUnitBuffer1[iNum+iMyPN*300];
			iNation = iTeam[iMyPN];
			DrawRectGraph(iSetX,iSetY,iSetL,iSetT, 16, 16, gGeneral[iNation][iGr],TRUE,FALSE );

			iStatus = iUnitBuffer2[iNum+iMyPN*300];
			iSetX	= 80*6+50;
			if (iStatus > 9) iSetX-=8;
			iSetY	= 96+32*i;
			DrawFormatString(iSetX, iSetY, Cr, "%d",iStatus+1);

			iStatus = iUnitBuffer3[iNum+iMyPN*300];
			iSetX	= 80*7+50;
			if (iStatus > 9) iSetX-=8;
			if (iStatus > 99) iSetX-=8;
			if (iStatus > 999) iSetX-=8;
			if (iStatus > 9999) iSetX-=8;
			iSetY	= 96+32*i;
			DrawFormatString(iSetX, iSetY, Cr, "%d",iStatus);
			iStatus = iUnitBuffer4[iNum+iMyPN*300];
			iSetX	= 80*7+50+8;
			iSetY	= 96+32*i;
			DrawFormatString(iSetX, iSetY, Cr, " / %d",iStatus);


			iStatus = iUnitBuffer5[iNum+iMyPN*300];
			iSetX	= 80*8+50+64;
			if (iStatus > 9) iSetX-=8;
			if (iStatus > 99) iSetX-=8;
			if (iStatus > 999) iSetX-=8;
			if (iStatus > 9999) iSetX-=8;
			iSetY	= 96+32*i;
			DrawFormatString(iSetX, iSetY, Cr, "%d",iStatus);

			iStatus = iUnitBuffer6[iNum+iMyPN*300];
			iSetX	= 80*9+50+64;
			if (iStatus > 9) iSetX-=8;
			if (iStatus > 99) iSetX-=8;
			if (iStatus > 999) iSetX-=8;
			if (iStatus > 9999) iSetX-=8;
			iSetY	= 96+32*i;
			DrawFormatString(iSetX, iSetY, Cr, "%d",iStatus);
		}
	}
	// t@CN[Y
	fclose(pFile1);
	fclose(pFile2);
}