#include "cClick.h"

tto::cClick::cClick()
{
	iMode = 0;
	iMouseX = 0;
	iMouseY = 0;
	iScrollHorizontal	= 0;
	iScrollVertical	= 0;
	iMapMX = 0;
	iMapMY = 0;
	iSelect = 0;
	iBN = 0;
	iBM[0] =  9;
	iBM[1] =  1;
	iBM[2] =  iMapSX;
	iBM[3] =  iMapSY;
	iBM[4] =  100;
	iBM[5] =  100;

}
void tto::cClick::fPushFormat()
{
	for(i=0; i<100; i++){
		iPush[i] = 0;
	}
}

int tto::cClick::fRangeInt(const int &iValue, const int &min, const int &max)
{
	if( (iValue > min) && (iValue < max) ){ return 1; }
	return 0;
}

void tto::cClick::fLeftClickMenu()
{
	if (fRangeInt(iMouseX, 460, 460+16) == 1) {
		if (fRangeInt(iMouseY, 242+64, 242+64+16) == 1) {
			iPush[0]++;
			if(iMapSX < 200) iMapSX++;
		}
		if (fRangeInt(iMouseY, 242+96, 242+96+16) == 1) {
			iPush[1]++;
			if(iMapSY < 200) iMapSY++;
		}
	}
	if (fRangeInt(iMouseX, 492, 492+16) == 1) {
		if (fRangeInt(iMouseY, 242+64, 242+64+16) == 1) {
			iPush[2]++;
			if(iMapSX > 32) iMapSX--;
		}
		if (fRangeInt(iMouseY, 242+96, 242+96+16) == 1) {
			iPush[3]++;
			if(iMapSY > 24) iMapSY--;
		}
	}
}

void tto::cClick::fLeftClickMap()
{
	if (fRangeInt(iMouseX, 0, 768) == 1) {
		if(iLayer == 0){
			iMap1[iMouseX/32+iMapMX+(iMouseY/32+iMapMY)*iMapSX] = iSelect;
		}
		if(iLayer == 1){
			iMap2[iMouseX/32+iMapMX+(iMouseY/32+iMapMY)*iMapSX] = iSelect;
		}
	}
	if (fRangeInt(iMouseX, 800, 800+192) == 1) {
		//maptip choice
		if (fRangeInt(iMouseY, 32, 32+640) == 1) {
			iSelect = (iMouseX-800)/32 + iScrollHorizontal + (iMouseY-32)/32*20 + iScrollVertical*20;

			if((iMouseX-800)/32 + iScrollHorizontal >= 20) iSelect += 1000-20;
			if((iMouseX-800)/32 + iScrollHorizontal >= 40) iSelect += 1000-20;
			if((iMouseY-32)/32 + iScrollVertical >= 15) iSelect += 3000-300;
			if((iMouseY-32)/32 + iScrollVertical >= 30) iSelect += 3000-300;
		}
		if (fRangeInt(iMouseY, 672, 672+32) == 1) {
			if (fRangeInt(iMouseX, 800, 800+32) == 1) {
				if (iScrollVertical > 0) iScrollVertical--;
				iPush[0]++;
			}
			if (fRangeInt(iMouseX, 832, 832+32) == 1) {
				if (iScrollHorizontal < 54) iScrollHorizontal++;
				iPush[1]++;
			}
			if (fRangeInt(iMouseX, 864, 864+32) == 1) {
				if (iScrollVertical < 25) iScrollVertical++;
				iPush[2]++;
			}
			if (fRangeInt(iMouseX, 896, 896+32) == 1) {
				if (iScrollHorizontal > 0) iScrollHorizontal--;
				iPush[3]++;
			}
			if (fRangeInt(iMouseX, 928, 928+32) == 1) {
				iLayer = 1;
				iPush[4]++;
			}
			if (fRangeInt(iMouseX, 960, 960+32) == 1) {
				iLayer = 0;
				iPush[5]++;
			}
		}
		if (fRangeInt(iMouseY, 704, 704+32) == 1) {
			if (fRangeInt(iMouseX, 800, 800+64) == 1) {
				iPush[6]++;
				fSave();
			}
			if (fRangeInt(iMouseX, 864, 864+64) == 1) {
				iPush[7]++;
				fLoad();
			}
			if (fRangeInt(iMouseX, 928, 928+64) == 1) {
				iPush[8]++;
				iMode = 2;
			}
		}
	}
}

void tto::cClick::fRightClickMap()
{
	if (fRangeInt(iMouseX, 0, 768) == 1) {
		if(iLayer == 0){
			iSelect = iMap1[iMouseX/32+iMapMX+(iMouseY/32+iMapMY)*iMapSX];
		}
		if(iLayer == 1){
			iSelect = iMap2[iMouseX/32+iMapMX+(iMouseY/32+iMapMY)*iMapSX];
		}
	}
}

void tto::cClick::fLeftClickBuilding()
{
	if (fRangeInt(iMouseX, 0, 768) == 1) {
		iBuilding[iBN*6+2] = iMouseX/32+iMapMX;
		iBuilding[iBN*6+3] = iMouseY/32+iMapMY;
	}
	if (fRangeInt(iMouseX, 956, 956+16) == 1) {
		if (fRangeInt(iMouseY, 64-24, 64-24+16) == 1) {
				iPush[0]++;
				if (iBN < 99) iBN++;
		}
		if (fRangeInt(iMouseY, 64+24, 64+24+16) == 1) {
				iPush[1]++;
				if (iBN > 0) iBN--;
		}
		for(i=0; i<6; i++){
			if (fRangeInt(iMouseY, 160-24+96*i, 160-24+96*i+16) == 1) {
				iPush[2+i*2]++;
				if(iBuilding[iBN*6+i] < iBM[i]) iBuilding[iBN*6+i]++;
			}
			if (fRangeInt(iMouseY, 160+24+96*i, 160+24+96*i+16) == 1) {
				iPush[2+i*2+1]++;
				if(iBuilding[iBN*6+i] > 0) iBuilding[iBN*6+i]--;
			}
		}
	}
	if (fRangeInt(iMouseY, 704, 704+32) == 1) {
		if (fRangeInt(iMouseX, 800, 800+64) == 1) {
			iPush[14]++;
			fSave();
		}
		if (fRangeInt(iMouseX, 864, 864+64) == 1) {
			iPush[15]++;
			fLoad();
		}
		if (fRangeInt(iMouseX, 928, 928+64) == 1) {
			iPush[16]++;
			iMode = 3;
		}
	}
}

void tto::cClick::fLeftClickUnit()
{   
	if (fRangeInt(iMouseX, 956, 956+16) == 1) {
		if (fRangeInt(iMouseY, 64-24, 64-24+16) == 1) {
			iPush[0] = 1;
			if(iPN < 9) iPN++;
		}
		if (fRangeInt(iMouseY, 64+24, 64+24+16) == 1) {
			iPush[1] = 1;
			if(iPN > 0) iPN--;
		}
		if (fRangeInt(iMouseY, 200-24, 200-24+16) == 1) {
			iPush[2] = 1;
			if(iGN < 99) iGN++;
		}
		if (fRangeInt(iMouseY, 200+24, 200+24+16) == 1) {
			iPush[3] = 1;
			if(iGN > 0) iGN--;
		}

		if (fRangeInt(iMouseY, 280-24, 280-24+16) == 1) {
			iPush[4] = 1;
			if(iGS[iPN] < 300) { iGS[iPN]++; iGHM[iPN][iGN]++; }
		}
		if (fRangeInt(iMouseY, 280+24, 280+24+16) == 1) {
			iPush[5] = 1;
			if(iGHM[iPN][iGN] > 0) { iGHM[iPN][iGN]--; iGS[iPN]--; }
		}

		if (fRangeInt(iMouseY, 488-24, 488-24+16) == 1) {
			iPush[6] = 1;
			if(iSN < 99) iSN++;
		}
		if (fRangeInt(iMouseY, 488+24, 488+24+16) == 1) {
			iPush[7] = 1;
			if(iSN > 0) iSN--;
		}

		if (fRangeInt(iMouseY, 568-24, 568-24+16) == 1) {
			iPush[8] = 1;
			if(iSS[iPN] < 3000) { iSS[iPN]++; iSHM[iPN][iSN]++; }
		}
		if (fRangeInt(iMouseY, 568+24, 568+24+16) == 1) {
			iPush[9] = 1;
			if(iSHM[iPN][iSN] > 0) { iSHM[iPN][iSN]--; iSS[iPN]--; }
		}
	}
	if (fRangeInt(iMouseY, 704, 704+32) == 1) {
		if (fRangeInt(iMouseX, 800, 800+64) == 1) {
			iPush[10]++;
			fSave();
		}
		if (fRangeInt(iMouseX, 864, 864+64) == 1) {
			iPush[11]++;
			fLoad();
		}
		if (fRangeInt(iMouseX, 928, 928+64) == 1) {
			iPush[12]++;
			iMode = 4;
			iPN = 0;
		}
	}
}

void tto::cClick::fLeftClickPlayer()
{
	if (fRangeInt(iMouseX, 480-4, 480-4+16) == 1) {
		if (fRangeInt(iMouseY, 240-24, 240-24+16) == 1) {
			if( iPN < 9 ) iPN++;
		}
		if (fRangeInt(iMouseY, 240+24, 240+24+16) == 1) {
			if( iPN > 0 ) iPN--;
		}
		if (fRangeInt(iMouseY, 320-24, 320-24+16) == 1) {
			if( iTeam[iPN] < 2 ) iTeam[iPN]++;
		}
		if (fRangeInt(iMouseY, 320+24, 320+24+16) == 1) {
			if( iTeam[iPN] > 0 ) iTeam[iPN]--;
		}
	}
	if (fRangeInt(iMouseY, 704, 704+32) == 1) {
		if (fRangeInt(iMouseX, 800, 800+64) == 1) {
			iPush[0]++;
			fSave();
		}
		if (fRangeInt(iMouseX, 864, 864+64) == 1) {
			iPush[1]++;
			fLoad();
		}
		if (fRangeInt(iMouseX, 928, 928+64) == 1) {
			iPush[2]++;
			endFlag++;
		}
	}
}