#include <iostream>

#ifndef _cData_h_

#define MAP_V_X		32		//	1024/32 = 32
#define MAP_V_Y		24		//  768/32  = 24
#define MAP_MS_X	200 
#define MAP_MS_Y	200
#define MAP_LS_X	168		//	MAP_MS_X-MAP_V_X
#define MAP_LS_Y	176		//	MAP_MS_Y-MAP_V_Y
#define MAP_BS		40000	//	MAP_MS_X*MAP_MS_Y

#define BUILDING_BS	600		//	100*6(0wc.1.2.3.4E.5)

#define UNIT_BS		33000	//	(Z300+m3000)*vC[10

namespace tto
{
	class cData{
		//t@Cp|C^
		FILE *pFile1;
		FILE *pFile2;
		int iL;
		int iB;
		int i;
		int ix, iy, iz;
		int iCountG;
		int iCountS;
		int iBuffer[2];
	public:
		cData();
		int iMapSX, iMapSY;
		int iMap1[ MAP_BS ];
		int iMap2[ MAP_BS ];
		int iBuilding[ BUILDING_BS ];
		int iGBuffer[3000];
		int iSBuffer[30000];
		void fSave();
		void fLoad();

		int iLayer;

		int iPN;
		int iGN;
		int iSN;
		int iGS[10];
		int iSS[10];
		int iGHM[10][100];
		int iSHM[10][100];
		int iTeam[10];
		int endFlag;
	};
}
#define _cData_h_
#endif